Lavalite package that provides channel management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `postbuffer/channel`.

    "postbuffer/channel": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Postbuffer\Channel\Providers\ChannelServiceProvider::class,

And also add it to alias

    'Channel'  => Postbuffer\Channel\Facades\Channel::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Postbuffer\\ChannelTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Postbuffer\Channel\Providers\ChannelServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Postbuffer\Channel\Providers\ChannelServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Postbuffer\Channel\Providers\ChannelServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/channel/{modulename}

**User**

    http://path-to-route-folder/user/channel/{modulename}

**Public**

    http://path-to-route-folder/channels


### API endpoints

**List**

    http://path-to-route-folder/api/user/channel/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/channel/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/channel/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/channel/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/channel/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/channel/{modulename}/{slug}
    METHOD: GET