<?php

namespace Postbuffer\Channel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChannelTransformer extends TransformerAbstract
{
    public function transform(\Postbuffer\Channel\Models\Channel $channel)
    {
        return [
            'id'                => $channel->getRouteKey(),
            'key'               => [
                'public'    => $channel->getPublicKey(),
                'route'     => $channel->getRouteKey(),
            ], 
            'name'              => $channel->name,
            'slug'              => $channel->slug,
            'user_id'           => $channel->user_id,
            'user_type'         => $channel->user_type,
            'deleted_at'        => $channel->deleted_at,
            'url'               => [
                'public'    => trans_url('channel/'.$channel->getPublicKey()),
                'user'      => guard_url('channel/channel/'.$channel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$channel->status),
            'created_at'        => format_date($channel->created_at),
            'updated_at'        => format_date($channel->updated_at),
        ];
    }
}